Name:          ruby-ronn-ng
Version:       0.10.1
Release:       2mamba
Summary:       Manual page formatter that generates man pages from markdown
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/apjanke/ronn-ng
Source:        https://rubygems.org/downloads/ronn-ng-%{version}.gem
Patch0:        ruby-ronn-ng-0.9.1-ruby-mustache-1.1.1.patch
License:       MIT
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: ruby-devel
Requires:      ruby
Requires:      ruby-kramdown
Requires:      ruby-kramdown-parser-gfm
Requires:      ruby-mustache
Requires:      ruby-nokogiri

%description
Manual page formatter that generates man pages from markdown.

%prep
%setup -q -c

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
gemdir="$(ruby -rrubygems -e'puts Gem.default_dir')"

gem install --no-user-install --ignore-dependencies -i "%{buildroot}$gemdir" -n "%{buildroot}/usr/bin" %{SOURCE0}

rm -rf %{buildroot}${gemdir}/cache

install -D -m644 ronn-ng-%{version}/man/ronn.1 %{buildroot}%{_mandir}/man1/ronn.1
install -D -m644 ronn-ng-%{version}/man/ronn-format.7 %{buildroot}%{_mandir}/man7/ronn-format.7

install -D -m644 ronn-ng-%{version}/completion/bash/ronn %{buildroot}%{_datadir}/bash-completion/completions/ronn
install -D -m644 ronn-ng-%{version}/completion/zsh/_ronn %{buildroot}%{_datadir}/zsh/site-functions/_ronn

#patch -d %{buildroot}${gemdir}/specifications -i %{PATCH0}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/ronn
%dir %{_libdir}/ruby/gems/*/doc/ronn-ng-%{version}
%{_libdir}/ruby/gems/*/doc/ronn-ng-%{version}/*
%dir %{_libdir}/ruby/gems/*/gems/ronn-ng-%{version}
%{_libdir}/ruby/gems/*/gems/ronn-ng-%{version}/*
%{_libdir}/ruby/gems/*/specifications/ronn-ng-%{version}.gemspec
%{_datadir}/bash-completion/completions/ronn
%{_datadir}/zsh/site-functions/_ronn
%{_mandir}/man1/ronn.1*
%{_mandir}/man7/ronn-format.7*
%doc ronn-ng-%{version}/AUTHORS ronn-ng-%{version}/LICENSE.txt

%changelog
* Fri Jun 07 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.1-2mamba
- require ruby-kramdown-parser-gfm

* Wed Apr 17 2024 Automatic Build System <autodist@openmamba.org> 0.10.1-1mamba
- automatic version update by autodist

* Sat Apr 23 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.1-1mamba
- package created using the webbuild interface
